ExecuteFunctionOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: ExecuteFunctionOperationContext

Package org.apache.geode.cache.operations

# Class ExecuteFunctionOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.ExecuteFunctionOperationContext

@Deprecated public class ExecuteFunctionOperationContext extends OperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
OperationContext for Function execution operation. This is for the pre-operation case

Since:
  GemFire 6.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteFunctionOperationContext(String functionName, String regionName, Set keySet, Object arguments, boolean optimizeForWrite, boolean isPostOperation)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getArguments()`
  Deprecated.
  `String`
  `getFunctionId()`
  Deprecated.
  `Set`
  `getKeySet()`
  Deprecated.
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation code associated with the `OperationContext` object.
  `String`
  `getRegionName()`
  Deprecated.
  `Object`
  `getResult()`
  Deprecated.
  `boolean`
  `isOptimizeForWrite()`
  Deprecated.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.
  `void`
  `setIsPostOperation(boolean isPostOperation)`
  Deprecated.
  `void`
  `setResult(Object oneResult)`
  Deprecated.

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecuteFunctionOperationContext

    public ExecuteFunctionOperationContext(String functionName, String regionName, Set keySet, Object arguments, boolean optimizeForWrite, boolean isPostOperation)
    Deprecated.

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Description copied from class: `OperationContext`
    Return the operation code associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      the operation code associated with the `OperationContext` object

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    Description copied from class: `OperationContext`
    True if the context is for post-operation. The `OperationContext` interface encapsulates the data both before the operation is performed and after the operation is complete. For example, for a query operation the `Query` object as well as the list of region names referenced by the query would be part of the context object in the pre-processing stage. In the post-processing stage the context object shall contain results of the query.
    Specified by:
      `isPostOperation` in class `OperationContext`
    Returns:
      whether the context is for post-operation

  - ### getFunctionId

    public String getFunctionId()
    Deprecated.

  - ### getRegionName

    public String getRegionName()
    Deprecated.

  - ### isOptimizeForWrite

    public boolean isOptimizeForWrite()
    Deprecated.

  - ### getResult

    public Object getResult()
    Deprecated.

  - ### getKeySet

    public Set getKeySet()
    Deprecated.

  - ### getArguments

    public Object getArguments()
    Deprecated.

  - ### setResult

    public void setResult(Object oneResult)
    Deprecated.

  - ### setIsPostOperation

    public void setIsPostOperation(boolean isPostOperation)
    Deprecated.